/* The side navigation menu */
.offcanvas {
    height: 100%; /* 100% Full-height */
    /* 0 width - change this with JavaScript */
    position: fixed; /* Stay in place */
    z-index: 100000; /* Stay on top */
    top: 0;
    background: linear-gradient(to bottom, var(--color-primary), white);
    overflow-x: hidden; /* Disable horizontal scroll */
    padding: 60px 16px 16px; /* Place content 60px from the top */
    transition: 0.5s; /* 0.5 second transition effect to slide in the offcanvas */
    box-sizing: border-box;
  }
  .offcanvas-right{
      right:0;
  }

  .offcanvas-left{
      left:0;
  }

  .offcanvas h4{
      color:white;
      white-space: nowrap;
  }
  
  /* The navigation menu links */
  .offcanvas a {
    padding: 8px 8px 8px 32px;
    text-decoration: none;
    font-size: 25px;
    color: #818181;
    display: block;
    transition: 0.3s;
  }

  .offcanvas h3{
      text-align: right;
      color:var(--color-primary-dark);
      text-shadow: var(--color-accent-shadow);
  }
  
  /* When you mouse over the navigation links, change their color */
  .offcanvas a:hover {
    color: #f1f1f1;
  }
  
  /* Position and style the close button (top right corner) */
  .offcanvas .closebtn {
    position: absolute;
    top: 0;
    right: 25px;
    font-size: 36px;
    margin-left: 50px;
    background:transparent;
    border:none;
    cursor:pointer;
  }
  
  /* Style page content - use this if you want to push the page content to the right when you open the side navigation */
  #main {
    transition: margin-left .5s;
    padding: 20px;
  }
  
  /* On smaller screens, where height is less than 450px, change the style of the offcanvas (less padding and a smaller font size) */
  @media screen and (max-height: 450px) {
    .offcanvas {padding-top: 15px;}
    .offcanvas a {font-size: 18px;}
  }

  .oc-dealcard{
      width:250px;
      margin-bottom:16px;
      border-radius:10px;
      background:white;
      overflow:hidden;
      display:flex;
      align-items: center;
      box-sizing: border-box;
      
  }
  .oc-dealcard .info{
      margin-left:16px;
  }

  .oc-dealcard img{
      width:80px;
      height:80px;
  }

.oc-dealcard .name{
    font-size: 12px;
}
.oc-dealcard .price{
    color:var(--color-accent);
    margin-top:16px
}

.oc-dealcard .close{
    margin-right:8px;
    font-size:20px;
    cursor:pointer;
}

  .add-cart-btn-off-canvas{
      padding:20px;
      width:250px;
      box-sizing: border-box;
      font-family:'Roboto';
      text-transform: uppercase;
      font-size: 12px;
      letter-spacing: 1.25px;
      border-radius: 8px;
      border:none;
      background: var(--color-accent-dark);
      color:white;
      box-shadow:0px 1px 3px rgba(0,0,0,.4);
      cursor:pointer;
      margin-bottom:16px;
}
.overlay{
    width:100%;
    background:rgba(0,0,0,.3);
    height:100vh;
    position:fixed;
    top:0;
    left:100vw;
    z-index:1000;
    transition:.5s;
}

.overlay.active{
    left:0;
    transition:.5s;
}

.cart-empty{
  white-space: nowrap;
  padding:20px 8px;
  color: white;
  border-radius:10px;
  margin-bottom:20px;
}